<template>
  <div class="study-ytbd">
    <div class="ytbd-right">
      <ytbdList :study="studyInfo" @showDetail="showDetailCallback"/>
    </div>
  </div>
</template>

<script>
import ytbdList from './ytbdList.vue'
export default {
  name: 'DrugYtbd',
  props: {
    study:{
      type:Object,
      default:()=>{
        return {}
      }
    }
  },
  watch:{
    study: {
      immediate: true,
      deep:true,
      handler(v) {
        this.studyInfo = v
      }
    },
  },
  components: {
    ytbdList
  },
  computed: {},
  filters: {},
  data() {
    return {
      studyInfo:{}
    }
  },
  created() {},
  methods: {
    showDetailCallback(val){
      this.$emit('showDetail',val)
    }
  }
}
</script>
<style lang="scss" scoped>
.study-ytbd {
  display: flex;
  flex-direction: row;
  .ytbd-left {
    background: #fff;
    padding: 20px;
    margin-right: 10px;
    flex-shrink: 0;
    width: 350px;
  }
  .ytbd-right{
    flex-grow: 1;
    overflow: hidden;
  }
}
</style>
